# Uses of Class
javax.swing.JInternalFrame.JDesktopIcon

Packages that use JInternalFrame.JDesktopIcon
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.

## Uses of JInternalFrame.JDesktopIcon in javax.swing

Fields in javax.swing declared as JInternalFrame.JDesktopIcon
Modifier and Type
Field
Description
`protected JInternalFrame.JDesktopIcon`
JInternalFrame.`desktopIcon`
The icon that is displayed when this internal frame is iconified.
Methods in javax.swing that return JInternalFrame.JDesktopIcon
Modifier and Type
Method
Description
`JInternalFrame.JDesktopIcon`
JInternalFrame.`getDesktopIcon()`
Returns the `JDesktopIcon` used when this `JInternalFrame` is iconified.
Methods in javax.swing with parameters of type JInternalFrame.JDesktopIcon
Modifier and Type
Method
Description
`void`
JInternalFrame.`setDesktopIcon(JInternalFrame.JDesktopIcon d)`
Sets the `JDesktopIcon` associated with this `JInternalFrame`.

## Uses of JInternalFrame.JDesktopIcon in javax.swing.plaf.basic

Fields in javax.swing.plaf.basic declared as JInternalFrame.JDesktopIcon
Modifier and Type
Field
Description
`protected JInternalFrame.JDesktopIcon`
BasicDesktopIconUI.`desktopIcon`
The instance of `JInternalFrame.JDesktopIcon`.